package com.muyu.vehicle.core;

import com.muyu.vehicle.VehicleInstance;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class LocalContainer {
    private static final Map<String,Map<String, VehicleInstance>> tenantVehicleDataMap
            =new ConcurrentHashMap<>();

    /**
     * 获取租户ID下车辆
     */
    public static Map<String,VehicleInstance>getVehicleDataMap(String tenantId){
        return tenantVehicleDataMap.computeIfAbsent(tenantId,k->new ConcurrentHashMap<>());
    }

    /**
     *
     */


}
