package com.muyu.web.domain.req;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class VehicleConnectionReq {

    @JSONField(name = "vin")
    private String vin;

    /**
     * 时间戳
     */
    private String timestamp;


    /**
     * 用户名
     */
    @JSONField(name = "username")
    private String userName;

    /**
     * 随机字符串
     */
    private String nonce;
}
